//
//  AliyunShaderFilter.h
//  AliyunVideoSDKPro
//
//  Created by mengyehao on 2021/11/17.
//  Copyright © 2021 aliyun. All rights reserved.
//

#import "AliyunBaseFilter.h"

NS_ASSUME_NONNULL_BEGIN

/**
 API_AVAILABLE(3.27.0)
 滤镜数据model
 */
@interface AliyunShaderFilter : AliyunBaseFilter

/**
 API_AVAILABLE(3.27.0)
 滤镜资源的文件夹路径
 */
@property(nonatomic, copy, readonly) NSString *path;

/**
 API_AVAILABLE(3.27.0)
 初始化方法
 
 @param path 滤镜资源的文件夹路径
 @return AliyunShaderFilter，滤镜数据model
 */
- (instancetype)initWithPath:(NSString *)path;

@end

NS_ASSUME_NONNULL_END
